# Class Post

java.lang.Object
com.codename1.facebook.FBObject
com.codename1.facebook.Post

public class Post extends FBObject
This class represents a Facebook Post Object http://developers.facebook.com/docs/reference/api/post/

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Post()`
  Empty Contructor
  `Post(Hashtable props)`
  Creates a post from a hashtable of Facebook post properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copy(Hashtable props)`
  copies the relevant values from the given hashtable
  `boolean`
  `equals(java.lang.Object o)`
  `String`
  `getAttribution()`
  Gets the Attribution
  `String`
  `getCommentsCount()`
  Gets the comments count number
  `String`
  `getCreatedTime()`
  `User`
  `getFrom()`
  Gets the from User
  `String`
  `getLikes()`
  Gets the Link Count
  `String`
  `getLinkDescription()`
  Gets the linkDescription
  `String`
  `getLinkName()`
  Gets the Link Name
  `String`
  `getLinkUrl()`
  Gets the link Url
  `String`
  `getMessage()`
  Gets the message
  `String`
  `getPicture()`
  Gets the picture id
  `Vector`
  `getTo()`
  Gets the to users
  `String`
  `getType()`
  Get the type
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class FBObject

  `getId, getName, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Post

    public Post()
    Empty Contructor

  - ### Post

    public Post(Hashtable props)

    Creates a post from a hashtable of Facebook post properties.

    ###### Parameters

    - `props`: the properties map used to initialize the post.

- ## Method Details

  - ### getFrom

    public User getFrom()

    Gets the from User

    ###### Returns

    from User

  - ### getTo

    public Vector getTo()

    Gets the to users

    ###### Returns

    Vector of Users

  - ### getType

    public String getType()

    Get the type

    ###### Returns

    the type

  - ### getAttribution

    public String getAttribution()

    Gets the Attribution

    ###### Returns

    the attribution

  - ### getMessage

    public String getMessage()

    Gets the message

    ###### Returns

    the message

  - ### getLinkUrl

    public String getLinkUrl()

    Gets the link Url

    ###### Returns

    the linkUrl

  - ### getCommentsCount

    public String getCommentsCount()

    Gets the comments count number

    ###### Returns

    the comments count

  - ### getLinkName

    public String getLinkName()

    Gets the Link Name

    ###### Returns

    the linkName

    ###### Deprecated

    use getName() instead

  - ### getLinkDescription

    public String getLinkDescription()

    Gets the linkDescription

    ###### Returns

    the linkDescription

  - ### getPicture

    public String getPicture()

    Gets the picture id

    ###### Returns

    the picture id

  - ### getCreatedTime

    public String getCreatedTime()

  - ### getLikes

    public String getLikes()

    Gets the Link Count

    ###### Returns

    the likes count

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### copy

    public void copy(Hashtable props)

    copies the relevant values from the given hashtable

    ###### Parameters

    - `props`: an hashtable to copy from
    Overrides:
      `copy` in class `FBObject`

  - ### equals

    public boolean equals(java.lang.Object o)
    Overrides:
      `equals` in class `FBObject`

  - ### hashCode

    public int hashCode()
    Description copied from class: `FBObject`
    Overrides:
      `hashCode` in class `FBObject`